/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayForm, {ClayInput} from '@clayui/form';
import ClayTable from '@clayui/table';
import React, {useState} from 'react';

const CellPreview = ({cell, cellIndex, handleEditCell, rowIndex}) => {
	const [isCellEditing, setIsCellEditing] = useState(false);
	const [cellValue, setCellValue] = useState(cell);

	return (
		<ClayTable.Cell key={cellIndex}>
			{!isCellEditing && <>{cellValue}</>}

			{isCellEditing && (
				<ClayForm.Group>
					<ClayInput
						id={cell.replace(/ /, '-')}
						onBlur={(event) => {
							if (
								!event.currentTarget.contains(
									event.relatedTarget
								)
							) {
								setIsCellEditing(false);
								handleEditCell(cellValue, cellIndex, rowIndex);
							}
						}}
						onChange={(event) => {
							setCellValue(event.target.value);
						}}
						onFocus={(event) => {
							if (
								!event.currentTarget.contains(
									event.relatedTarget
								)
							) {
								setIsCellEditing(true);
							}
						}}
						type="text"
						value={cellValue}
					/>
				</ClayForm.Group>
			)}
		</ClayTable.Cell>
	);
};
export default CellPreview;
