/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

export function getAvailableMappings(newMappings, fileFields, dbFields) {
	const availableMappings = {};

	if (!fileFields || !dbFields) {
		return availableMappings;
	}

	const dbFieldNames = dbFields?.map((dbField) => dbField.name) || [];

	const newMappingsEntries = Object.entries(newMappings || {});

	if (newMappingsEntries.length) {
		newMappingsEntries.forEach(([mappedDbField, mappedFileField]) => {
			if (
				fileFields?.includes(mappedFileField) &&
				dbFieldNames?.includes(mappedDbField)
			) {
				availableMappings[mappedDbField] = mappedFileField;
			}
		});
	}
	else {
		dbFieldNames.map((dbFieldName) => {
			if (fileFields.includes(dbFieldName)) {
				availableMappings[dbFieldName] = dbFieldName;
			}
		});
	}

	return availableMappings;
}
